public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed][testsuite] Show error output in twice-multifile.sh
@ 2021-03-24  9:10 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2021-03-24  9:10 UTC (permalink / raw)
  To: dwz, jakub, mark

Hi,

When building dwz with -fsanitize=address, we get:
...
$ make check RUNTESTFLAGS=dwz-tests.exp=twice-multifile.sh
Running src/testsuite/dwz.tests/dwz-tests.exp ...
child process exited abnormally
FAIL: src/testsuite/dwz.tests/twice-multifile.sh
...

The test-case fails because "dwz -m 3 1 2" returns 1, but we don't see
why because the error output is redirected to dwz.err.

Fix this by dumping dwz.err if "dwz -m 3 1 2" status is not zero.

Committed to trunk.

Thanks,
- Tom

[testsuite] Show error output in twice-multifile.sh

2021-03-24  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-multifile.sh: Dump dwz.err if dwz status
        is not 0.

---
 testsuite/dwz.tests/twice-multifile.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/testsuite/dwz.tests/twice-multifile.sh b/testsuite/dwz.tests/twice-multifile.sh
index 8a66e25..1ff0166 100644
--- a/testsuite/dwz.tests/twice-multifile.sh
+++ b/testsuite/dwz.tests/twice-multifile.sh
@@ -24,7 +24,10 @@ if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
     exit 1
 fi
 
-[ $status -eq 0 ]
+if [ $status -ne 0 ]; then
+    cat dwz.err
+    exit 1
+fi
 
 smaller-than.sh 1 1.saved
 

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2021-03-24  9:10 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-03-24  9:10 [committed][testsuite] Show error output in twice-multifile.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).